Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class AbstractOrderedMapIteratorDecorator

    java.lang.Object
      |
      +--org.apache.commons.collections.iterators.AbstractOrderedMapIteratorDecorator

All Implemented Interfaces:
  Iterator, MapIterator, OrderedIterator, OrderedMapIterator

public class AbstractOrderedMapIteratorDecorator
extends Object
implements OrderedMapIterator

Provides basic behaviour for decorating an ordered map iterator with extra functionality.

All methods are forwarded to the decorated map iterator.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 00:59:50 $
Author:
  Stephen Colebourne

Field Summary
`protected OrderedMapIterator` | `iterator` The iterator being decorated

Constructor Summary
`AbstractOrderedMapIteratorDecorator(OrderedMapIterator iterator)` Constructor that decorates the specified iterator.

Method Summary
`Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`protected OrderedMapIterator` | `getOrderedMapIterator()` Gets the iterator being decorated.
`Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
`boolean` | `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`Object` | `next()` Gets the next key from the `Map`.
`Object` | `previous()` Gets the previous key from the `Map`.
`void` | `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`Object` | `setValue(Object obj)` Sets the value associated with the current key (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final OrderedMapIterator iterator

  The iterator being decorated

Constructor Detail

### AbstractOrderedMapIteratorDecorator

    public AbstractOrderedMapIteratorDecorator(OrderedMapIterator iterator)

  Constructor that decorates the specified iterator.

Parameters:
  `iterator` - the iterator to decorate, must not be null
Throws:
  `IllegalArgumentException` - if the collection is null

Method Detail

### getOrderedMapIterator

    protected OrderedMapIterator getOrderedMapIterator()

  Gets the iterator being decorated.

  Returns:
    the decorated iterator

### hasNext

    public boolean hasNext()

  Description copied from interface: `MapIterator`
  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `OrderedMapIterator`
  Checks to see if there is a previous entry that can be iterated to.

  Specified by:
    `hasPrevious` in interface `OrderedMapIterator`
  Returns:
    `true` if the iterator has a previous element

### previous

    public Object previous()

  Description copied from interface: `OrderedMapIterator`
  Gets the previous key from the `Map`.

  Specified by:
    `previous` in interface `OrderedMapIterator`
  Returns:
    the previous key in the iteration

### remove

    public void remove()

  Description copied from interface: `MapIterator`
  Removes the last returned key from the underlying `Map` (optional operation).

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `MapIterator`

### getKey

    public Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public Object setValue(Object obj)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `obj` - the new value
  Returns:
    the previous value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.